Bug 29197 - commit_file.pl missing import
Summary: commit_file.pl missing import
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 17600
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-08 13:43 UTC by Tomás Cohen Arazi
Modified: 2021-10-22 13:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29197: Add missing import in commit_file.pl (1.13 KB, patch)
2021-10-08 13:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29197: Add missing import in commit_file.pl (1.18 KB, patch)
2021-10-08 21:30 UTC, David Nind
Details | Diff | Splinter Review
Bug 29197: Add missing import in commit_file.pl (1.33 KB, patch)
2021-10-10 09:14 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-10-08 13:43:19 UTC
kohadev-koha@kohadevbox:/kohadevbox/koha$ perl misc/commit_file.pl --list-batches
Undefined subroutine &main::GetAllImportBatches called at misc/commit_file.pl line 68.
Comment 1 Tomás Cohen Arazi 2021-10-08 13:48:13 UTC
Created attachment 125962 [details] [review]
Bug 29197: Add missing import in commit_file.pl

This patch adds a new method import to the commit_file.pl script.

To test:
1. Have MARC data staged
2. Run:
   $ kshell
  k$ perl misc/commit_file.pl --list-batches
=> FAIL: You get
Undefined subroutine &main::GetAllImportBatches called at misc/commit_file.pl line 68.
3. Apply this patch
4. Repeat 2
=> SUCCESS: You get the list of batches
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2021-10-08 21:30:17 UTC
Created attachment 125986 [details] [review]
Bug 29197: Add missing import in commit_file.pl

This patch adds a new method import to the commit_file.pl script.

To test:
1. Have MARC data staged
2. Run:
   $ kshell
  k$ perl misc/commit_file.pl --list-batches
=> FAIL: You get
Undefined subroutine &main::GetAllImportBatches called at misc/commit_file.pl line 68.
3. Apply this patch
4. Repeat 2
=> SUCCESS: You get the list of batches
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Joonas Kylmälä 2021-10-10 09:14:05 UTC
Created attachment 126011 [details] [review]
Bug 29197: Add missing import in commit_file.pl

This patch adds a new method import to the commit_file.pl script.

To test:
1. Have MARC data staged
2. Run:
   $ kshell
  k$ perl misc/commit_file.pl --list-batches
=> FAIL: You get
Undefined subroutine &main::GetAllImportBatches called at misc/commit_file.pl line 68.
3. Apply this patch
4. Repeat 2
=> SUCCESS: You get the list of batches
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 4 Jonathan Druart 2021-10-12 09:19:33 UTC
Pushed to master for 21.11, thanks to everybody involved!